	.386
	.model use32 small
	public _strncat
	.code
_strncat:
	push	ebp
	mov	ebp,esp
	push	esi
	push	edi
	mov	edi,[8+ebp]
	mov	ecx,-1
	sub	al,al
	cld
	repne	scasb
	dec	edi
	mov	esi,[12+ebp]
	mov	ecx,[16+ebp]
	rep	movsb
	mov	byte ptr [edi],0
	mov	eax,[8+ebp]
	pop	edi
	pop	esi
	pop	ebp
	ret
	end